Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Dec 2014, 22:24
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
shutdownconfig
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [1 Post]  
Author Message
Karl Godt


Joined: 20 Jun 2010
Posts: 3982
Location: Kiel,Germany

PostPosted: Tue 13 Aug 2013, 08:48    Post subject:  shutdownconfig
Subject description: very old problem from puppy 3x times ?
 

Today I detected when wanting to change folder in the final savefile sanity question , I got offered only one-level deep instead of two-level , that is possible since somewhere Puppy-5.3 times .
It still lacks the feature to change the filename though .
Code:
# diff -up /initrd/pup_ro2/usr/sbin/shutdownconfig /usr/sbin/shutdownconfig
--- /initrd/pup_ro2/usr/sbin/shutdownconfig   2013-02-21 13:51:28.000000000 +0100
+++ /usr/sbin/shutdownconfig   2013-08-13 15:17:42.960496595 +0200
@@ -486,7 +486,7 @@ If anything looks wrong, choose \Zb\\\${
   if [ $SANITYRET -eq 3 ];then #change folder.
    T_choosefoldertitle="$(gettext 'First shutdown: choose folder')"
    T_inputbox="$(gettext 'Edit path. '/' means top-level of partition.
-You are only allowed to save one-deep, for example: '/puppy300'.
+You are only allowed to save two-deep, for example: '/puppy/${DISTRO_NAME}${DISTRO_VERSION}'.
 If folder does not exist, it will be created. Spaces are not allowed.
 If uncertain, just click OK button.')"
    NEWSAVEPATH="`${DIALOGEXE} ${BACKGROUNDYELLOW} ${TITLEPARAM} "$T_choosefoldertitle" --screen-center --stdout --no-cancel --inputbox "$T_inputbox" 0 0 "$SAVEPATH"`"
@@ -505,8 +505,8 @@ If uncertain, just click OK button.')"
   fi
  done
  [ -f ${SMNTPT}${SAVEPATH} ] && return 1 #abort. must be a directory.
- [ ! -d ${SMNTPT}${SAVEPATH} ] && mkdir ${SMNTPT}${SAVEPATH}
- [ ! -d ${SMNTPT}${SAVEPATH} ] && return 1 #some kind of error, abort.
+ [ -d ${SMNTPT}${SAVEPATH} ] || mkdir -p ${SMNTPT}${SAVEPATH}
+ [ -d ${SMNTPT}${SAVEPATH} ] || return 1 #some kind of error, abort.
 
  #JOPT=""
  [ "$SAVEPART" = "fd0" ] && SIZEPFILE=`expr $SIZEPFILE - 16`

#
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [1 Post]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0421s ][ Queries: 12 (0.0046s) ][ GZIP on ]